Package com.xebialabs.xlrelease.domain.events

# Class FacetConfiguredFacetsCreatedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<TaskReportingRecord,List<TaskReportingRecord>,Object,FacetConfiguredFacetsCreatedEvent>
com.xebialabs.xlrelease.domain.events.FacetConfiguredFacetsCreatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<TaskReportingRecord,List<TaskReportingRecord>,Object,FacetConfiguredFacetsCreatedEvent>`

public class FacetConfiguredFacetsCreatedEvent$ extends scala.runtime.AbstractFunction3<TaskReportingRecord,List<TaskReportingRecord>,Object,FacetConfiguredFacetsCreatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FacetConfiguredFacetsCreatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetConfiguredFacetsCreatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FacetConfiguredFacetsCreatedEvent`
  `apply(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<TaskReportingRecord,List<TaskReportingRecord>,Object>>`
  `unapply(FacetConfiguredFacetsCreatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final FacetConfiguredFacetsCreatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### FacetConfiguredFacetsCreatedEvent$

    public FacetConfiguredFacetsCreatedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<TaskReportingRecord,List<TaskReportingRecord>,Object,FacetConfiguredFacetsCreatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<TaskReportingRecord,List<TaskReportingRecord>,Object,FacetConfiguredFacetsCreatedEvent>`

  - ### apply

    public FacetConfiguredFacetsCreatedEvent apply(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)

  - ### unapply

    public scala.Option<scala.Tuple3<TaskReportingRecord,List<TaskReportingRecord>,Object>> unapply(FacetConfiguredFacetsCreatedEvent x$0)